API reference

Automation API

Configure the AI auto-reply, bookings, broadcasts, reminders, missed-call replies, review requests, lead flows, click-to-chat links, scheduled statuses and group tools for a number.

POST /api/ai/ask

Create ai ask. Authenticate with your account api key.

FieldInTypeRequiredNotes
questionbodystringYesUp to 500 characters
curl -X POST https://agakural.online/api/ai/ask \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"question": "question"}'

POST /api/ai/bot

Create ai bot. Authenticate with your account api key.

FieldInTypeRequiredNotes
descriptionbodystringYesUp to 2000 characters
businessbodystringNoUp to 120 characters
hoursbodystringNoUp to 200 characters
languagebodyobjectNoOne of: en, ta, hi, tanglish, hinglish
curl -X POST https://agakural.online/api/ai/bot \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"description": "description"}'

POST /api/ai/flow

Create ai flow. Authenticate with your account api key.

FieldInTypeRequiredNotes
descriptionbodystringYesUp to 1500 characters
languagebodyobjectNoOne of: en, ta, hi, tanglish, hinglish
curl -X POST https://agakural.online/api/ai/flow \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"description": "description"}'

POST /api/ai/insights

Create ai insights. Authenticate with your account api key.

curl -X POST https://agakural.online/api/ai/insights \
  -H "Authorization: Bearer $TOKEN"

GET /api/ai/usage

Get ai usage. Authenticate with your account api key.

curl -X GET https://agakural.online/api/ai/usage \
  -H "Authorization: Bearer $TOKEN"

POST /api/ai/write

Create ai write. Authenticate with your account api key.

FieldInTypeRequiredNotes
purposebodyobjectYesOne of: message, offer, reminder, status, broadcast, reply, welcome
briefbodystringYesUp to 1500 characters
languagebodyobjectNoOne of: en, ta, hi, tanglish, hinglish
tonebodyobjectNoOne of: friendly, professional, festive, urgent, short
variantsbodyintegerNoRange 1–3
curl -X POST https://agakural.online/api/ai/write \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"purpose": "purpose", "brief": "brief"}'

GET /api/bookings

Get bookings. Authenticate with your account api key.

FieldInTypeRequiredNotes
fromqueryintegerNo
curl -X GET https://agakural.online/api/bookings \
  -H "Authorization: Bearer $TOKEN"

POST /api/bookings

Create bookings. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
tobodystringYesUp to 40 characters
namebodystringNoUp to 80 characters
servicebodystringNoUp to 60 characters
start_atbodyintegerYes
minutesbodyintegerNoRange 5–480
curl -X POST https://agakural.online/api/bookings \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id", "to": "919876543210", "start_at": 1}'

PATCH /api/bookings/{id}

Update a bookings. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
statusbodyobjectYesOne of: cancelled, done, no_show, confirmed
curl -X PATCH https://agakural.online/api/bookings/{id} \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"status": "status"}'

GET /api/broadcasts

Get broadcasts. Authenticate with your account api key.

curl -X GET https://agakural.online/api/broadcasts \
  -H "Authorization: Bearer $TOKEN"

POST /api/broadcasts

Create broadcasts. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
namebodystringNoUp to 120 characters
messagebodystringYesUp to 4000 characters
mediabodystringNoUp to 8000000 characters
start_atbodyintegerNo
textbodystringNoUp to 1000000 characters
sheet_urlbodystringNoUp to 500 characters
recipientsbodyarray of objectNo
curl -X POST https://agakural.online/api/broadcasts \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id", "message": "message"}'

GET /api/broadcasts/{id}

Get one broadcast. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/broadcasts/{id} \
  -H "Authorization: Bearer $TOKEN"

POST /api/broadcasts/{id}/cancel

Create broadcasts cancel. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/api/broadcasts/{id}/cancel \
  -H "Authorization: Bearer $TOKEN"

POST /api/broadcasts/{id}/pause

Create broadcasts pause. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/api/broadcasts/{id}/pause \
  -H "Authorization: Bearer $TOKEN"

POST /api/broadcasts/{id}/resume

Create broadcasts resume. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/api/broadcasts/{id}/resume \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/booking

Get channels booking. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/booking \
  -H "Authorization: Bearer $TOKEN"

PUT /api/channels/{id}/booking

Update channels booking. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
enabledbodybooleanNo
keywordsbodyarray of stringNo
servicesbodyarray of objectNo
daysbodyarray of integerNo
startbodystringNo
endbodystringNo
slot_minutesbodyintegerNoRange 5–240
capacitybodyintegerNoRange 1–100
days_aheadbodyintegerNoRange 1–60
reminder_hoursbodyintegerNoRange 0–48
introbodystringNoUp to 300 characters
curl -X PUT https://agakural.online/api/channels/{id}/booking \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/flows

Get channels flows. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/flows \
  -H "Authorization: Bearer $TOKEN"

POST /api/channels/{id}/flows

Create channels flows. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
namebodystringNoUp to 60 characters
enabledbodybooleanNo
keywordsbodyarray of stringYes
stepsbodyarray of objectYes
donebodystringNoUp to 1000 characters
curl -X POST https://agakural.online/api/channels/{id}/flows \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"keywords": [], "steps": []}'

GET /api/channels/{id}/groups

Get channels groups. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/groups \
  -H "Authorization: Bearer $TOKEN"

PUT /api/channels/{id}/groups/{group}

Update a channels groups. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
grouppathstringYes
enabledbodybooleanNo
modebodyobjectNoOne of: business, personal
welcomebodystringNoUp to 1000 characters
rulesbodystringNoUp to 2000 characters
tripbodybooleanNo
trip_namebodystringNoUp to 60 characters
curl -X PUT https://agakural.online/api/channels/{id}/groups/{group} \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/groups/{group}/trip

Get channels groups trip. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
grouppathstringYes
curl -X GET https://agakural.online/api/channels/{id}/groups/{group}/trip \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/missed-call

Get channels missed call. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/missed-call \
  -H "Authorization: Bearer $TOKEN"

PUT /api/channels/{id}/missed-call

Update channels missed call. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
enabledbodybooleanNo
rejectbodybooleanNo
usebodyobjectNoOne of: business, personal
aboutbodystringNoUp to 500 characters
languagebodyobjectNoOne of: en, ta, hi, tanglish, hinglish
messagebodystringNoUp to 1000 characters
voicebodybooleanNo
cooldown_hoursbodyintegerNoRange 1–168
curl -X PUT https://agakural.online/api/channels/{id}/missed-call \
  -H "Authorization: Bearer $TOKEN"

POST /api/channels/{id}/missed-call/preview

Create channels missed call preview. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
enabledbodybooleanNo
rejectbodybooleanNo
usebodyobjectNoOne of: business, personal
aboutbodystringNoUp to 500 characters
languagebodyobjectNoOne of: en, ta, hi, tanglish, hinglish
messagebodystringNoUp to 1000 characters
voicebodybooleanNo
cooldown_hoursbodyintegerNoRange 1–168
curl -X POST https://agakural.online/api/channels/{id}/missed-call/preview \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/reviews

Get channels reviews. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/reviews \
  -H "Authorization: Bearer $TOKEN"

PUT /api/channels/{id}/reviews

Update channels reviews. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
enabledbodybooleanNo
google_urlbodystringNoUp to 500 characters
delay_hoursbodyintegerNoRange 0–168
after_bookingbodybooleanNo
after_paymentbodybooleanNo
askbodystringNoUp to 500 characters
thanks_goodbodystringNoUp to 500 characters
ask_feedbackbodystringNoUp to 500 characters
thanks_feedbackbodystringNoUp to 500 characters
curl -X PUT https://agakural.online/api/channels/{id}/reviews \
  -H "Authorization: Bearer $TOKEN"

POST /api/contacts/parse

Create contacts parse. Authenticate with your account api key.

FieldInTypeRequiredNotes
textbodystringNoUp to 1000000 characters
sheet_urlbodystringNoUp to 500 characters
curl -X POST https://agakural.online/api/contacts/parse \
  -H "Authorization: Bearer $TOKEN"

DELETE /api/flows/{id}

Delete a flows. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/api/flows/{id} \
  -H "Authorization: Bearer $TOKEN"

PUT /api/flows/{id}

Update a flows. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
namebodystringNoUp to 60 characters
enabledbodybooleanNo
keywordsbodyarray of stringYes
stepsbodyarray of objectYes
donebodystringNoUp to 1000 characters
curl -X PUT https://agakural.online/api/flows/{id} \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"keywords": [], "steps": []}'

GET /api/leads

Get leads. Authenticate with your account api key.

FieldInTypeRequiredNotes
flow_idquerystringNo
curl -X GET https://agakural.online/api/leads \
  -H "Authorization: Bearer $TOKEN"

GET /api/leads.csv

Get leads.csv. Authenticate with your account api key.

FieldInTypeRequiredNotes
flow_idquerystringNo
curl -X GET https://agakural.online/api/leads.csv \
  -H "Authorization: Bearer $TOKEN"

POST /api/links

Create links. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
textbodystringNoUp to 500 characters
labelbodystringNoUp to 60 characters
slugbodystringNoUp to 40 characters
curl -X POST https://agakural.online/api/links \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id"}'

GET /api/optouts

Get optouts. Authenticate with your account api key.

curl -X GET https://agakural.online/api/optouts \
  -H "Authorization: Bearer $TOKEN"

DELETE /api/optouts/{phone}

Delete a optouts. Authenticate with your account api key.

FieldInTypeRequiredNotes
phonepathstringYes
curl -X DELETE https://agakural.online/api/optouts/{phone} \
  -H "Authorization: Bearer $TOKEN"

GET /api/reminders

Get reminders. Authenticate with your account api key.

curl -X GET https://agakural.online/api/reminders \
  -H "Authorization: Bearer $TOKEN"

POST /api/reminders

Create reminders. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
kindbodyobjectNoOne of: rent, fees, emi, appointment, custom
titlebodystringNoUp to 120 characters
tobodystringYesUp to 40 characters
contact_namebodystringNoUp to 80 characters
messagebodystringYesUp to 2000 characters
amount_paisebodyintegerNoRange 100–10000000
attach_upibodybooleanNo
schedulebodyobjectYes
curl -X POST https://agakural.online/api/reminders \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id", "to": "919876543210", "message": "message", "schedule": "schedule"}'

DELETE /api/reminders/{id}

Delete a reminders. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/api/reminders/{id} \
  -H "Authorization: Bearer $TOKEN"

PATCH /api/reminders/{id}

Update a reminders. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
activebodybooleanNo
messagebodystringNoUp to 2000 characters
amount_paisebodyintegerNoRange 100–10000000
curl -X PATCH https://agakural.online/api/reminders/{id} \
  -H "Authorization: Bearer $TOKEN"

POST /api/reminders/bulk

Create reminders bulk. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
kindbodyobjectNoOne of: rent, fees, emi, appointment, custom
titlebodystringNoUp to 120 characters
messagebodystringYesUp to 2000 characters
attach_upibodybooleanNo
schedulebodyobjectYes
textbodystringNoUp to 1000000 characters
sheet_urlbodystringNoUp to 500 characters
curl -X POST https://agakural.online/api/reminders/bulk \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id", "message": "message", "schedule": "schedule"}'

GET /api/reminders/templates

Get reminders templates. Authenticate with your account api key.

curl -X GET https://agakural.online/api/reminders/templates \
  -H "Authorization: Bearer $TOKEN"

GET /api/reviews

Get reviews. Authenticate with your account api key.

curl -X GET https://agakural.online/api/reviews \
  -H "Authorization: Bearer $TOKEN"

POST /api/reviews

Create reviews. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
tobodystringYesUp to 40 characters
namebodystringNoUp to 80 characters
delay_hoursbodyintegerNoRange 0–168
curl -X POST https://agakural.online/api/reviews \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id", "to": "919876543210"}'

GET /api/status

Get status. Authenticate with your account api key.

curl -X GET https://agakural.online/api/status \
  -H "Authorization: Bearer $TOKEN"

POST /api/status

Create status. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
kindbodyobjectYesOne of: text, image
bodybodystringNoUp to 700 characters
mediabodystringNoUp to 8000000 characters
background_colorbodystringNo
post_atbodyintegerNo
curl -X POST https://agakural.online/api/status \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id", "kind": "kind"}'

DELETE /api/status/{id}

Delete a status. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/api/status/{id} \
  -H "Authorization: Bearer $TOKEN"

GET /api/status/templates

Get status templates. Authenticate with your account api key.

curl -X GET https://agakural.online/api/status/templates \
  -H "Authorization: Bearer $TOKEN"